Package com.sas.lsaf.clinical.study

## Class StudyTablesImportInfo

- java.lang.Object
- - com.sas.lsaf.clinical.study.StudyTablesImportInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StudyTablesImportInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents all of the details to import study tables. Importing requires a file for tables and a file for columns.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StudyTablesImportInfo()` | Constructor.
    `StudyTablesImportInfo​(java.lang.String tablesImportFilePath, java.lang.String tablesImportFileVersion, java.lang.String columnsImportFilePath, java.lang.String columnsImportFileVersion, SourceLocation importFileSourceLocation, UpdateAction updateAction)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getColumnsImportFilePath()` | Gets the path of the import file to update the study table columns.
    `java.lang.String` | `getColumnsImportFileVersion()` | Gets the version of the table columns import file to update the study tables.
    `SourceLocation` | `getImportFileSourceLocation()` | Gets the source location (repository or workspace) of the import files.
    `java.lang.String` | `getTablesImportFilePath()` | Gets the path of the import file to update the study tables.
    `java.lang.String` | `getTablesImportFileVersion()` | Gets the version of the tables import file to update the study tables.
    `UpdateAction` | `getUpdateAction()` | Gets the type of update to make when when importing files, such as `replace` or `add new`.
    `void` | `setColumnsImportFilePath​(java.lang.String columnsImportFilePath)` | Sets the path of the import file to update the study table columns.
    `void` | `setColumnsImportFileVersion​(java.lang.String columnsImportFileVersion)` | Sets the version of the table columns import file to update the study tables.
    `void` | `setImportFileSourceLocation​(SourceLocation importFileSourceLocation)` | Sets the source location (repository or workspace) of the import files.
    `void` | `setTablesImportFilePath​(java.lang.String tablesImportFilePath)` | Sets the path of the import file to update the study tables.
    `void` | `setTablesImportFileVersion​(java.lang.String tablesImportFileVersion)` | Sets the version of the tables import file to update the study tables.
    `void` | `setUpdateAction​(UpdateAction updateAction)` | Sets the type of update to make when when importing files, such as `replace` or `add new`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StudyTablesImportInfo

          public StudyTablesImportInfo()

      Constructor.

    - #### StudyTablesImportInfo

          public StudyTablesImportInfo​(java.lang.String tablesImportFilePath,
                                       java.lang.String tablesImportFileVersion,
                                       java.lang.String columnsImportFilePath,
                                       java.lang.String columnsImportFileVersion,
                                       SourceLocation importFileSourceLocation,
                                       UpdateAction updateAction)

      Constructor.
      Parameters:
        `tablesImportFilePath` - The path of the import file to update the study tables.
        `tablesImportFileVersion` - The version of the tables import file.
        `columnsImportFilePath` - The path of the import file to update the study table columns.
        `columnsImportFileVersion` - The version of the table columns import file.
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.
        `updateAction` - The type of update to make when when importing, such as `replace` or `add new`.

  - ### Method Detail

    - #### getTablesImportFilePath

          public java.lang.String getTablesImportFilePath()

      Gets the path of the import file to update the study tables.
      Returns:
        The path of the import file to update the study tables.

    - #### setTablesImportFilePath

          public void setTablesImportFilePath​(java.lang.String tablesImportFilePath)

      Sets the path of the import file to update the study tables.
      Parameters:
        `tablesImportFilePath` - The path of the import file to update the study tables.

    - #### getTablesImportFileVersion

          public java.lang.String getTablesImportFileVersion()

      Gets the version of the tables import file to update the study tables. If null, the latest version is used.
      Returns:
        The version of the tables import file to update the study tables. If null, the latest version is used.

    - #### setTablesImportFileVersion

          public void setTablesImportFileVersion​(java.lang.String tablesImportFileVersion)

      Sets the version of the tables import file to update the study tables. If null, the latest version is used.
      Parameters:
        `tablesImportFileVersion` - The version of the tables import file to update the study tables.

    - #### getColumnsImportFilePath

          public java.lang.String getColumnsImportFilePath()

      Gets the path of the import file to update the study table columns.
      Returns:
        The path of the import file to update the study table columns.

    - #### setColumnsImportFilePath

          public void setColumnsImportFilePath​(java.lang.String columnsImportFilePath)

      Sets the path of the import file to update the study table columns.
      Parameters:
        `columnsImportFilePath` - The path of the import file to update the study table columns.

    - #### getColumnsImportFileVersion

          public java.lang.String getColumnsImportFileVersion()

      Gets the version of the table columns import file to update the study tables. If null, the latest version is used.
      Returns:
        The version of the table columns import file to update the study tables. If null, the latest version will be used.

    - #### setColumnsImportFileVersion

          public void setColumnsImportFileVersion​(java.lang.String columnsImportFileVersion)

      Sets the version of the table columns import file to update the study tables. If null, the latest version is used.
      Parameters:
        `columnsImportFileVersion` - The version of the table columns import file to update the study tables.

    - #### getImportFileSourceLocation

          public SourceLocation getImportFileSourceLocation()

      Gets the source location (repository or workspace) of the import files.
      Returns:
        The source location (repository or workspace) of the import files.

    - #### setImportFileSourceLocation

          public void setImportFileSourceLocation​(SourceLocation importFileSourceLocation)

      Sets the source location (repository or workspace) of the import files.
      Parameters:
        `importFileSourceLocation` - The source location (repository or workspace) of the import files.

    - #### getUpdateAction

          public UpdateAction getUpdateAction()

      Gets the type of update to make when when importing files, such as `replace` or `add new`.
      Returns:
        The update action to perform when importing files.

    - #### setUpdateAction

          public void setUpdateAction​(UpdateAction updateAction)

      Sets the type of update to make when when importing files, such as `replace` or `add new`.
      Parameters:
        `updateAction` - The update action to perform when importing files.